Kerbal Space Program - Bug #28011

Cannot Save Game or Recover Vessel
06/22/2021 06:33 PM - KerbalKiller2000

Status: Resolved Start date: 06/22/2021
Severity: Low % Done: 100%
Assignee:

Category: Gameplay

Target version: 1.12.0

Version: 1111 Language: English (US)
Platform: Windows Mod Related: No
Expansion: Core Game

Description

I am having trouble saving the game and recovering my vessel when | perform rendezvous missions. It seems to be related to the
RCS thrusters on the 3 seat Apollo style command pod (I don't remember the name of it). The steps it takes to replicate this mission
are included below:

1. Launch a vessel to orbit with two separate ships attached: a lander and a mothership (the mothership must include a 3 seat Apollo
style command pod).

2. Separate the lander from the mothership when in orbit of a celestial body.
3. Either land on the celestial body with the lander or go completely out of sight of the mothership.
4. Return to the mothership in orbit.

5. RCS thrusters on the command pod of the mothership look like they are firing, but it is not making any change in the orbit of the
spacecraft. Disabling these thrusters will not fix it.

6. While trying to save the game, it will not respond as if | am not doing anything at all.

7. Once returning to Kerbin, the "Recover Vessel" button and the "Return to Space Center" Button will not work. The only way to
return from the flight screen is to revert the flight. Note that the command pod thrusters on the mothership are still looking like they
are firing.

| will add screenshots of this happening if needed.

Mods installed: BetterTimeWarpContinued, Toolbar Control, Click Through Blocker, and Kerbal Engineer Redux

History

#1 - 06/24/2021 01:10 AM - Anth12

Pretty complicated for anyone to do quickly. Can you supply a save file for when its in orbit. and the craft files. then | will take a look.
It could be a general game bug but to me right now it feels like the craft file/s will tell me more information.
| will then be able to break down the issue piece by piece until | can figure out the root cause.

#2 - 06/24/2021 07:40 PM - KerbalKiller2000

I'm not sure how to insert a save file into the Kerbal Space Program Bug Tracker Page. | just got KSP a year ago, and I'm not into the coding of
Kerbal Space Program.

#3 - 06/24/2021 11:33 PM - victorr
- Status changed from New to Ready to Test
- Target version set to 1.12.0

- % Done changed from 0 to 80

We've made some changes to the game in this latest 1.12.0 version and would like some feedback on this issue. Thanks.
#4 - 06/25/2021 12:00 AM - KerbalKiller2000

The latest version has fixed this issue. Thank you.

#5 - 08/06/2021 06:55 PM - Technicalfool
- Status changed from Ready to Test to Resolved
- % Done changed from 80 to 100
